Index: trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.db/org.gvsig.fmap.dal.db.jdbc/src/main/java/org/gvsig/fmap/dal/store/jdbc/JDBCServerExplorer.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.db/org.gvsig.fmap.dal.db.jdbc/src/main/java/org/gvsig/fmap/dal/store/jdbc/JDBCServerExplorer.java	(revision 43049)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.db/org.gvsig.fmap.dal.db.jdbc/src/main/java/org/gvsig/fmap/dal/store/jdbc/JDBCServerExplorer.java	(revision 43050)
@@ -1,7 +1,7 @@
 package org.gvsig.fmap.dal.store.jdbc;
 
 import java.util.List;
-import org.gvsig.fmap.dal.DataServerExplorer;
+import org.gvsig.fmap.dal.DataServerExplorer_v2;
 import org.gvsig.fmap.dal.DataStore;
 import org.gvsig.fmap.dal.DataStoreParameters;
 import org.gvsig.fmap.dal.NewDataStoreParameters;
@@ -10,7 +10,7 @@
 import org.gvsig.fmap.dal.feature.FeatureType;
 import org.gvsig.fmap.dal.store.jdbc.exception.JDBCExecuteSQLException;
 
-public interface JDBCServerExplorer extends DataServerExplorer {
+public interface JDBCServerExplorer extends DataServerExplorer_v2 {
 
     @Override
     boolean add(String providerName, NewDataStoreParameters ndsp, boolean overwrite) throws DataException;
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.api/src/main/java/org/gvsig/fmap/dal/DataServerExplorer.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.api/src/main/java/org/gvsig/fmap/dal/DataServerExplorer.java	(revision 43049)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.api/src/main/java/org/gvsig/fmap/dal/DataServerExplorer.java	(revision 43050)
@@ -165,5 +165,4 @@
          */
         public File getResourcePath(DataStore dataStore, String resourceName) throws DataException;
     
-    public SQLBuilder createSQLBuilder();
 }
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.api/src/main/java/org/gvsig/fmap/dal/DataServerExplorer_v2.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.api/src/main/java/org/gvsig/fmap/dal/DataServerExplorer_v2.java	(revision 0)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.api/src/main/java/org/gvsig/fmap/dal/DataServerExplorer_v2.java	(revision 43050)
@@ -0,0 +1,8 @@
+
+package org.gvsig.fmap.dal;
+
+
+public interface DataServerExplorer_v2 extends DataServerExplorer {
+    
+     public SQLBuilder createSQLBuilder();
+}
Index: trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.spi/src/main/java/org/gvsig/fmap/dal/spi/AbstractDataServerExplorer.java
===================================================================
--- trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.spi/src/main/java/org/gvsig/fmap/dal/spi/AbstractDataServerExplorer.java	(revision 43049)
+++ trunk/org.gvsig.desktop/org.gvsig.desktop.compat.cdc/org.gvsig.fmap.dal/org.gvsig.fmap.dal.spi/src/main/java/org/gvsig/fmap/dal/spi/AbstractDataServerExplorer.java	(revision 43050)
@@ -1,18 +1,17 @@
 package org.gvsig.fmap.dal.spi;
 
 import java.io.File;
-import org.gvsig.fmap.dal.DataServerExplorer;
 import org.gvsig.fmap.dal.DataServerExplorerParameters;
+import org.gvsig.fmap.dal.DataServerExplorer_v2;
 import org.gvsig.fmap.dal.DataStore;
 import org.gvsig.fmap.dal.DataStoreParameters;
 import org.gvsig.fmap.dal.exception.DataException;
 import org.gvsig.fmap.dal.SQLBuilder;
-import org.gvsig.fmap.dal.feature.spi.FeatureStoreProvider_v2;
 import org.gvsig.fmap.dal.feature.spi.SQLBuilderBase;
 import org.gvsig.tools.dispose.impl.AbstractDisposable;
 import org.gvsig.tools.exception.BaseException;
 
-public abstract class AbstractDataServerExplorer extends AbstractDisposable implements DataServerExplorer {
+public abstract class AbstractDataServerExplorer extends AbstractDisposable implements DataServerExplorer_v2 {
 
     private DataServerExplorerParameters parameters;
     private final DataServerExplorerProviderServices providerServices;
@@ -41,6 +40,7 @@
         return null;
     }
     
+    @Override
     public File getResourcePath(DataStore dataStore, String resourceName) throws DataException {
         return null;
     }