Index: Launcher.java
===================================================================
--- Launcher.java	(revision 43125)
+++ Launcher.java	(revision 43126)
@@ -32,8 +32,8 @@
 import java.awt.Toolkit;
 import java.awt.event.ActionEvent;
 import java.awt.event.ActionListener;
+import java.awt.event.WindowAdapter;
 import java.awt.event.WindowEvent;
-import java.awt.event.WindowListener;
 import java.io.BufferedOutputStream;
 import java.io.BufferedReader;
 import java.io.File;
@@ -75,7 +75,6 @@
 import java.util.Properties;
 import java.util.Set;
 import java.util.TreeSet;
-import java.util.logging.Level;
 import java.util.prefs.Preferences;
 
 import javax.swing.ImageIcon;
@@ -97,7 +96,6 @@
 import org.apache.commons.cli.PosixParser;
 import org.apache.commons.configuration.PropertiesConfiguration;
 import org.apache.commons.io.FileUtils;
-import org.apache.commons.io.input.ClassLoaderObjectInputStream;
 import org.apache.commons.lang3.JavaVersion;
 import org.apache.commons.lang3.StringUtils;
 import org.apache.commons.lang3.SystemUtils;
@@ -162,7 +160,7 @@
 import org.gvsig.installer.lib.api.PackageInfo;
 import org.gvsig.installer.lib.api.creation.MakePluginPackageServiceException;
 import org.gvsig.installer.swing.api.SwingInstallerLocator;
-import org.gvsig.installer.swing.api.execution.AbstractInstallPackageWizard;
+import org.gvsig.installer.swing.api.execution.InstallWizardPanel;
 import org.gvsig.installer.swing.api.wizard.InstallerWizardActionListener;
 import org.gvsig.installer.swing.api.wizard.InstallerWizardPanel;
 import org.gvsig.tools.ToolsLocator;
@@ -3734,20 +3732,20 @@
 
         InstallerManager installerManager = InstallerLocator.getInstallerManager();
         
-//        try {
-//            logger.info("Loading plugins configurations");
-//            this.loadPluginConfigs();
-//        } catch (Throwable ex) {
-//            logger.warn("Can't load plugins configurations", ex);
-//        }
-//
-//        try {
-//            logger.info("Loading plugins");
-//            this.loadPluginServices();
-//        } catch (Throwable ex) {
-//            logger.warn("Can't load plugins", ex);
-//        }
+        try {
+            logger.info("Loading plugins configurations");
+            this.loadPluginConfigs();
+        } catch (Throwable ex) {
+            logger.warn("Can't load plugins configurations", ex);
+        }
 
+        try {
+            logger.info("Loading plugins");
+            this.loadPluginServices();
+        } catch (Throwable ex) {
+            logger.warn("Can't load plugins", ex);
+        }
+
         AndamiConfig config = getAndamiConfig();
 
         initializeIdentityManagement(new File(config.getPluginsDirectory()).getAbsoluteFile());
@@ -3779,16 +3777,18 @@
         // Launch installer
         PluginsManager manager = PluginsLocator.getManager();
 
-        AbstractInstallPackageWizard installPackageWizard = SwingInstallerLocator
+        InstallWizardPanel installPackageWizard = SwingInstallerLocator
                 .getSwingInstallerManager().createInstallPackageWizard(
                         manager.getApplicationFolder(),
                         manager.getInstallFolder());
         installPackageWizard.setWizardActionListener(new InstallerWizardActionListener() {
+            @Override
             public void finish(InstallerWizardPanel installerWizard) {
                 logger.info("Finish installation.");
                 System.exit(0);
             }
 
+            @Override
             public void cancel(InstallerWizardPanel installerWizard) {
                 logger.info("Cancel installation.");
                 System.exit(0);
@@ -3796,45 +3796,25 @@
         });
 
         // the wizard will show the Typical or Advanced mode option.
-        installPackageWizard.setAskTypicalOrCustom(true);
+        installPackageWizard.setSkipTypicalOrAdvancedWizardPage(false);
         // default packages will be selected.
         installPackageWizard.setSelectDefaultPackages(true);
 
         JFrame frame = new JFrame(Messages.get("gvsig_package_installer"));
-
-        frame.addWindowListener(new WindowListener() {
-            public void windowOpened(WindowEvent we) {
-                logger.info("Open window installation.");
-            }
-
+        frame.addWindowListener(new WindowAdapter() {
+            @Override
             public void windowClosing(WindowEvent we) {
                 logger.info("Closing installation.");
                 System.exit(0);
             }
 
+            @Override
             public void windowClosed(WindowEvent we) {
                 logger.info("Close installation.");
                 System.exit(0);
             }
-
-            public void windowIconified(WindowEvent we) {
-            }
-
-            public void windowDeiconified(WindowEvent we) {
-            }
-
-            public void windowActivated(WindowEvent we) {
-                logger.info("Activate window installation.");
-            }
-
-            public void windowDeactivated(WindowEvent we) {
-                logger.info("Deactivate window installation.");
-            }
         });
-        //frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
-
-        frame.getContentPane().add(installPackageWizard, BorderLayout.CENTER);
-
+        frame.getContentPane().add(installPackageWizard.asJComponent(), BorderLayout.CENTER);
         URL iconURL = getClass().getResource("/images/main/install-icon.png");
         if( iconURL!=null ) {
             ImageIcon icon = new ImageIcon(iconURL);