Index: InstallerWizardPanel.java
===================================================================
--- InstallerWizardPanel.java	(revision 43125)
+++ InstallerWizardPanel.java	(revision 43126)
@@ -3,65 +3,72 @@
  *
  * Copyright (C) 2007-2013 gvSIG Association.
  *
- * This program is free software; you can redistribute it and/or
- * modify it under the terms of the GNU General Public License
- * as published by the Free Software Foundation; either version 3
- * of the License, or (at your option) any later version.
+ * This program is free software; you can redistribute it and/or modify it under
+ * the terms of the GNU General Public License as published by the Free Software
+ * Foundation; either version 3 of the License, or (at your option) any later
+ * version.
  *
- * This program is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
+ * This program is distributed in the hope that it will be useful, but WITHOUT
+ * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
+ * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
+ * details.
  *
- * You should have received a copy of the GNU General Public License
- * along with this program; if not, write to the Free Software
- * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
- * MA  02110-1301, USA.
+ * You should have received a copy of the GNU General Public License along with
+ * this program; if not, write to the Free Software Foundation, Inc., 51
+ * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
  *
- * For any additional information, do not hesitate to contact us
- * at info AT gvsig.com, or visit our website www.gvsig.com.
+ * For any additional information, do not hesitate to contact us at info AT
+ * gvsig.com, or visit our website www.gvsig.com.
  */
-/*
- * AUTHORS (In addition to CIT):
- * 2010 {Prodevelop}   {Task}
- */
-
 package org.gvsig.installer.swing.api.wizard;
 
+import java.io.File;
 import java.util.List;
+import org.gvsig.tools.swing.api.Component;
 
 import org.gvsig.tools.task.CancellableTask;
 
-/**
- * This interface must be implemented by all the wizards. It just have a methods
- * to manage the events that the wizard throws.
- * 
- * @author <a href="mailto:jpiera@gvsig.org">Jorge Piera Llodr&aacute;</a>
- */
-public interface InstallerWizardPanel {
+public interface InstallerWizardPanel extends Component {
 
-	/**
-	 * @param wizardActionListener
-	 *            sets the listener for the action events.
-	 */
-	public void setWizardActionListener(
-			InstallerWizardActionListener wizardActionListener);
+    /**
+     * @param wizardActionListener sets the listener for the action events.
+     */
+    public void setWizardActionListener(
+            InstallerWizardActionListener wizardActionListener);
 
-	/**
-	 * @return the listener for the action events
-	 */
-	public InstallerWizardActionListener getWizardActionListener();
+    /**
+     * @return the listener for the action events
+     */
+    public InstallerWizardActionListener getWizardActionListener();
 
-	public List<CancellableTask> getCancellableTasks();
+    public List<CancellableTask> getCancellableTasks();
 
-	public void addCancellableTask(CancellableTask task);
-	
-	/**
-	 * Tells whether this install wizard needs to restart
-     * the app after install process has finished
-     * 
-	 * @return Whether this install wizard needs to restart
-	 * the app after install process has finished
-	 */
-	public boolean needsToRestartApplicationAfterFinish();
+    public void addCancellableTask(CancellableTask task);
+
+    /**
+     * Tells whether this install wizard needs to restart the app after install
+     * process has finished
+     *
+     * @return Whether this install wizard needs to restart the app after
+     * install process has finished
+     */
+    public boolean needsToRestartApplicationAfterFinish();
+
+    public File getApplicationFolder();
+
+    public File getInstallFolder();
+
+    public void setNextButtonEnabled(boolean isEnabled);
+
+    public void setFinishButtonEnabled(boolean isVisible);
+
+    public void setCancelButtonEnabled(boolean isEnabled);
+
+    public void setBackButtonEnabled(boolean isEnabled);
+
+    public void doAction(int action);
+
+    public void skip();
+
+    public int getDirection();
 }