Index: DataManager.java
===================================================================
--- DataManager.java	(revision 43204)
+++ DataManager.java	(revision 43205)
@@ -25,6 +25,7 @@
 import java.io.File;
 import java.util.List;
 
+import org.gvsig.fmap.dal.exception.DataException;
 import org.gvsig.fmap.dal.exception.InitializeException;
 import org.gvsig.fmap.dal.exception.ProviderNotRegisteredException;
 import org.gvsig.fmap.dal.exception.ValidateDataParametersException;
@@ -34,6 +35,7 @@
 import org.gvsig.fmap.dal.feature.FeatureQuery;
 import org.gvsig.fmap.dal.feature.FeatureStore;
 import org.gvsig.fmap.dal.feature.paging.FeaturePagingHelper;
+import org.gvsig.fmap.dal.raster.NewRasterStoreParameters;
 import org.gvsig.fmap.dal.resource.ResourceManager;
 import org.gvsig.tools.dataTypes.DataType;
 import org.gvsig.tools.dynobject.DynObject;
@@ -146,13 +148,13 @@
             ValidateDataParametersException;
 
     public DataStore openStore(
-            String providerName, 
-            Object... arguments) 
-        throws 
-            InitializeException, 
-            ProviderNotRegisteredException, 
-            ValidateDataParametersException;    
-    
+            String providerName,
+            Object... arguments)
+        throws
+            InitializeException,
+            ProviderNotRegisteredException,
+            ValidateDataParametersException;
+
     public DataStore openStore(DynStruct struct)
             throws InitializeException, ProviderNotRegisteredException, ValidateDataParametersException;
 
@@ -231,39 +233,39 @@
             DataServerExplorerParameters parameters)
             throws InitializeException, ProviderNotRegisteredException,
             ValidateDataParametersException;
-    
+
     public DataServerExplorer openServerExplorer(
-            String explorerName, 
+            String explorerName,
             Object... arguments)
-        throws 
-            InitializeException, 
-            ProviderNotRegisteredException, 
+        throws
+            InitializeException,
+            ProviderNotRegisteredException,
             ValidateDataParametersException;
     /**
      * @param parameters
-     * @return 
-     * @throws org.gvsig.fmap.dal.exception.InitializeException 
-     * @throws org.gvsig.fmap.dal.exception.ProviderNotRegisteredException 
-     * @throws org.gvsig.fmap.dal.exception.ValidateDataParametersException 
+     * @return
+     * @throws org.gvsig.fmap.dal.exception.InitializeException
+     * @throws org.gvsig.fmap.dal.exception.ProviderNotRegisteredException
+     * @throws org.gvsig.fmap.dal.exception.ValidateDataParametersException
      * @deprecated see openServerExplorer
      */
     public DataServerExplorer createServerExplorer(
             DataServerExplorerParameters parameters)
             throws InitializeException, ProviderNotRegisteredException,
             ValidateDataParametersException;
-    
+
     /**
      * @param parameters
-     * @return 
-     * @throws org.gvsig.fmap.dal.exception.InitializeException 
-     * @throws org.gvsig.fmap.dal.exception.ProviderNotRegisteredException 
-     * @throws org.gvsig.fmap.dal.exception.ValidateDataParametersException 
+     * @return
+     * @throws org.gvsig.fmap.dal.exception.InitializeException
+     * @throws org.gvsig.fmap.dal.exception.ProviderNotRegisteredException
+     * @throws org.gvsig.fmap.dal.exception.ValidateDataParametersException
      * @deprecated see openStore
      */
     public DataStore createStore(DataStoreParameters parameters)
             throws InitializeException, ProviderNotRegisteredException,
             ValidateDataParametersException;
-        
+
     /**
      * Returns a list of String containing the names of the available
      * DataServerExplorer providers.
@@ -296,14 +298,14 @@
      */
     public Evaluator createExpresion(String expression)
             throws InitializeException;
-    
+
     /**
      * Creates an instance of Evaluator to evaluate a expression.
      *
      * @return instance of ExpressionEvaluator representing the given expression.
      */
     public ExpressionEvaluator createExpresion();
-    
+
     /*
      * ====================================================================
      *
@@ -424,38 +426,46 @@
 
     /**
      * Creates a default ExpressionBuilder.
-     * 
-     * This ExpressionBuilder is not dependent on a data source, 
+     *
+     * This ExpressionBuilder is not dependent on a data source,
      * and is not advisable to use it.
-     * 
+     *
      * @return the ExpressionBuilder
      */
     public ExpressionBuilder createExpressionBuilder();
-    
+
     /**
 	 * Returns a list of String containing the names of the available cache providers.
 	 *
 	 * @return
 	 * 		list of strings with the names of the available cache providers
-	 */    
+	 */
     public List getFeatureCacheProviders();
 
 	/**
 	 * Returns an instance of {@link DataServerExplorerParameters} corresponding
 	 * to the given name used by the cache to create a store to save the
 	 * retrieved data.
-	 * 
+	 *
 	 * @param name
 	 *            name of a registered feature cache provider
-	 * 
+	 *
 	 * @throws InitializeException
 	 *             if parameter initialization causes an error.
-	 * 
+	 *
 	 * @throws ProviderNotRegisteredException
 	 *             if could not find a cache provider by the given name.
-	 * 
+	 *
 	 */
 	public DynObject createCacheParameters(String name)
 			throws InitializeException, ProviderNotRegisteredException;
-    
+
+    /**
+     * @param providerName
+     * @param params
+     * @param overwrite
+     * @throws DataException
+     */
+    public void createFileStore(String providerName, NewRasterStoreParameters params, boolean overwrite) throws DataException;
+
 }